package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrAirtightMapper;
import com.ruoyi.project.pssr.domain.TPssrAirtight;
import com.ruoyi.project.pssr.service.ITPssrAirtightService;

/**
 * 气密Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrAirtightServiceImpl implements ITPssrAirtightService
{
    @Autowired
    private TPssrAirtightMapper tPssrAirtightMapper;

    /**
     * 查询气密
     *
     * @param id 气密ID
     * @return 气密
     */
    @Override
    public TPssrAirtight selectTPssrAirtightById(Long id)
    {
        return tPssrAirtightMapper.selectTPssrAirtightById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrAirtightMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询气密列表
     *
     * @param tPssrAirtight 气密
     * @return 气密
     */
    @Override
    public List<TPssrAirtight> selectTPssrAirtightList(TPssrAirtight tPssrAirtight)
    {
        return tPssrAirtightMapper.selectTPssrAirtightList(tPssrAirtight);
    }

    /**
     * 新增气密
     *
     * @param tPssrAirtight 气密
     * @return 结果
     */
    @Override
    public int insertTPssrAirtight(TPssrAirtight tPssrAirtight)
    {
        return tPssrAirtightMapper.insertTPssrAirtight(tPssrAirtight);
    }

    /**
     * 修改气密
     *
     * @param tPssrAirtight 气密
     * @return 结果
     */
    @Override
    public int updateTPssrAirtight(TPssrAirtight tPssrAirtight)
    {
        return tPssrAirtightMapper.updateTPssrAirtight(tPssrAirtight);
    }

    /**
     * 批量删除气密
     *
     * @param ids 需要删除的气密ID
     * @return 结果
     */
    @Override
    public int deleteTPssrAirtightByIds(Long[] ids)
    {
        return tPssrAirtightMapper.deleteTPssrAirtightByIds(ids);
    }

    /**
     * 删除气密信息
     *
     * @param id 气密ID
     * @return 结果
     */
    @Override
    public int deleteTPssrAirtightById(Long id)
    {
        return tPssrAirtightMapper.deleteTPssrAirtightById(id);
    }
}
